Subject: ls -l bug?
From: David Means <[email-masked]>
To: [email-masked]
Date: 22 Mar 2003 11:21:00 -0500

This bug might be fixed already, if so, sorry for the post.

When, from 'cmd', I do a dir of a 2+Gigabyte file, I see the following:

03/21/2003  08:37a       2,454,716,416 heap.log

However, when I peform an 'ls -l' from cygwin, I see this:

rw-r--r--    1 codered  None     18446744071869300736 Mar 21 08:37
heap.log

Although I do remember in the late 1980's that the Wal-Mart general
office in Bentonville, AR, had somewhere over 1 terabyte of disk
storage, I don't think we've yet approached anything beyond that size
for personal computers... :-)

Below is the system info.

Thanks,

David

Cygwin Win95/NT Configuration Diagnostics
Current System Time: Fri Mar 21 09:10:42 2003

Windows 2000 Professional Ver 5.0 Build 2195 Service Pack 2

Path:   c:\WINNT\system32
        c:\WINNT
        c:\WINNT\System32\Wbem
        C:\cygwin\bin

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

HOME = `C:\cygwin\home\codered'
PWD = `/home/codered'
USER = `codered'

Use `-r' to scan registry

a:  fd           N/A    N/A                    
c:  hd  NTFS    8707Mb  50% CP CS UN PA FC     Local Disk
d:  cd           N/A    N/A                    

C:\cygwin      /          user    binmode
C:\cygwin/bin  /usr/bin   user    binmode
C:\cygwin/lib  /usr/lib   user    binmode
.              /cygdrive  user    binmode,noumount
c:             /c         system  binmode

Found: C:\cygwin\bin\bash.exe
Found: C:\cygwin\bin\cat.exe
Not Found: cpp (good!)
Found: C:\cygwin\bin\find.exe
Not Found: gcc
Not Found: gdb
Not Found: ld
Found: C:\cygwin\bin\ls.exe
Not Found: make
Found: C:\cygwin\bin\sh.exe

  621k 2002/01/16 C:\cygwin\bin\cygcrypto.dll
   45k 2001/04/25 C:\cygwin\bin\cygform5.dll
   35k 2002/01/09 C:\cygwin\bin\cygform6.dll
   19k 2002/02/20 C:\cygwin\bin\cyggdbm.dll
   17k 2001/06/28 C:\cygwin\bin\cyghistory4.dll
   20k 2002/01/13 C:\cygwin\bin\cyghistory5.dll
   22k 2001/12/13 C:\cygwin\bin\cygintl-1.dll
   26k 2001/04/25 C:\cygwin\bin\cygmenu5.dll
   20k 2002/01/09 C:\cygwin\bin\cygmenu6.dll
  156k 2001/04/25 C:\cygwin\bin\cygncurses++5.dll
  175k 2002/01/09 C:\cygwin\bin\cygncurses++6.dll
  226k 2001/04/25 C:\cygwin\bin\cygncurses5.dll
  202k 2002/01/09 C:\cygwin\bin\cygncurses6.dll
   15k 2001/04/25 C:\cygwin\bin\cygpanel5.dll
   12k 2002/01/09 C:\cygwin\bin\cygpanel6.dll
   40k 2001/11/21 C:\cygwin\bin\cygpcre.dll
   39k 2001/11/21 C:\cygwin\bin\cygpcreposix.dll
  108k 2001/06/28 C:\cygwin\bin\cygreadline4.dll
  121k 2002/01/13 C:\cygwin\bin\cygreadline5.dll
  156k 2002/01/16 C:\cygwin\bin\cygssl.dll
   50k 2002/03/12 C:\cygwin\bin\cygz.dll
  751k 2002/02/25 C:\cygwin\bin\cygwin1.dll
    Cygwin DLL version info:
        DLL version: 1.3.10
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 51
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix: 
        Build date: Mon Feb 25 11:14:34 EST 2002
        Shared id: cygwin1S3

Cygwin Package Information
Package             Version             
_update-info-dir    00141-1             
ash                 20020131-1          
bash                2.05a-3             
cygrunsrv           0.95-1              
cygwin              1.3.10-1            
diff                1.0-1               
diffutils           2.8-1               
fileutils           4.1-1               
findutils           4.1                 
gawk                3.0.4-1             
gdbm                1.8.0-4             
grep                2.5-1               
gzip                1.3.2-1             
libintl1            0.10.40-1           
libncurses5         5.2-1               
libncurses6         5.2-8               
libreadline4        4.1-2               
libreadline5        4.2a-1              
login               1.4-3               
ncurses             5.2-8               
openssh             3.1p1-1             
openssl             0.9.6c-3            
pcre                3.7-1               
readline            4.2a-1              
sed                 3.02-1              
sh-utils            2.0-2               
shutdown            1.2-2               
tar                 1.13.19-1           
termcap             20020403-1          
terminfo            5.2-2               
textutils           2.0.21-1            
vim                 6.1.300-1           
which               1.5-1               
zlib                1.1.4-1             

Use -h to see help about each section

-- 
David Means

Never frobnicate without first grokking.